Subject: Re: [PATCH v2 02/17] cocci: fix incorrect & verbose "the_repository" rules

From: Taylor Blau <[email-masked]>
Date: Wed, 29 Mar 2023 16:35:16 -0400

On Tue, Mar 28, 2023 at 03:58:43PM +0200, Ævar Arnfjörð Bjarmason wrote:
>  .../coccinelle/the_repository.pending.cocci   | 160 +++++-------------
>  1 file changed, 46 insertions(+), 114 deletions(-)

I resonate with Elijah's "I know nothing about Coccinelle" statement in
v1 of this patch more than I am willing to admit ;-).

I am glad that Coccinelle has some better tools for us to more easily
express these macros. The end-result is very nice and has a clear
interpretation.

Thanks for cleaning these up.

Thanks,
Taylor